import CodeSnippet from '..';
import React from 'react';
import ReactDOM from 'react-dom';
const exampleCode = `
import React, { useState } from "react";

function Example() {
  const [count, setCount] = useState(0);

  return (
    <div>
      <p>You clicked {count} times</p>
        <button onClick={() => setCount(count + 1)}>
        Click me
      </button>
    </div>
  );
}
`.trim();
ReactDOM.render(React.createElement("div", null,
    React.createElement("p", null, "\u5355\u884C\u4EE3\u7801"),
    React.createElement(CodeSnippet, { code: exampleCode }),
    React.createElement("p", null, "\u591A\u884C\u4EE3\u7801"),
    React.createElement(CodeSnippet, { code: exampleCode, type: "number" })), document.getElementById('code-snippet-demo-1'));
